tigase.server.sreceiver

## Class PropertyConstants

- java.lang.Object
- - tigase.server.sreceiver.PropertyConstants

-     public abstract class PropertyConstants
      extends Object

  Describe class PropertyConstants here. Created: Fri May 18 12:52:02 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PropertyConstants.MessageType`
    `static class` | `PropertyConstants.SenderAddress`
    `static class` | `PropertyConstants.SenderRestrictions`
    `static class` | `PropertyConstants.SubscrRestrictions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALLOWED_SENDERS_DISPL_NAME`
    `static String` | `ALLOWED_SENDERS_LIST_DISPL_NAME`
    `static String` | `ALLOWED_SENDERS_LIST_PROP_KEY`
    `static String` | `ALLOWED_SENDERS_LIST_PROP_VAL`
    `static String` | `ALLOWED_SENDERS_PROP_KEY`
    `static PropertyConstants.SenderRestrictions` | `ALLOWED_SENDERS_PROP_VAL`
    `static String` | `DESCRIPTION_DISPL_NAME`
    `static String` | `DESCRIPTION_PROP_KEY` Constant `DESCRIPTION_PROP_KEY` is a description for task instance.
    `static String` | `DESCRIPTION_PROP_VAL`
    `static String` | `MESSAGE_TYPE_DISPL_NAME`
    `static String` | `MESSAGE_TYPE_PROP_KEY`
    `static PropertyConstants.MessageType` | `MESSAGE_TYPE_PROP_VAL`
    `static String` | `ONLINE_ONLY_DISPL_NAME`
    `static String` | `ONLINE_ONLY_PROP_KEY`
    `static Boolean` | `ONLINE_ONLY_PROP_VAL`
    `static String` | `REPLACE_SENDER_DISPL_NAME`
    `static String` | `REPLACE_SENDER_PROP_KEY`
    `static PropertyConstants.SenderAddress` | `REPLACE_SENDER_PROP_VAL`
    `static String` | `SUBSCR_LIST_PROP_KEY` Constant `SUBSCR_LIST_PROP_KEY` is a property key for task instance configuration parameters.
    `static String[]` | `SUBSCR_LIST_PROP_VAL` Constant `SUBSCR_LIST_PROP_KEY` is a property value for a key SUBSCR_LIST_PROP_KEY.
    `static String` | `SUBSCR_RESTR_REGEX_DISPL_NAME`
    `static String` | `SUBSCR_RESTR_REGEX_PROP_KEY`
    `static String` | `SUBSCR_RESTR_REGEX_PROP_VAL`
    `static String` | `SUBSCR_RESTRICTIONS_DISPL_NAME`
    `static String` | `SUBSCR_RESTRICTIONS_PROP_KEY` Constant `SUBSCR_RESTRICTIONS_PROP_KEY` is a property key for task instance configuration parameters.
    `static PropertyConstants.SubscrRestrictions` | `SUBSCR_RESTRICTIONS_PROP_VAL`
    `static String` | `TASK_ADMINS_DISPL_NAME`
    `static String` | `TASK_ADMINS_PROP_KEY`
    `static String` | `TASK_ADMINS_PROP_VAL`
    `static String` | `TASK_OWNER_DISPL_NAME`
    `static String` | `TASK_OWNER_PROP_KEY`
    `static String` | `TASK_OWNER_PROP_VAL`
    `static String` | `USER_REPOSITORY_PROP_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUBSCR_LIST_PROP_KEY

          public static final String SUBSCR_LIST_PROP_KEY

      Constant `SUBSCR_LIST_PROP_KEY` is a property key for task instance configuration parameters. With this property you can provide task with initial list of subscribers. These users however must accept subscription first before any message is delivered to them. So you can't force ppl to receive any messages using this setting.
      See Also:
        Constant Field Values

    - #### SUBSCR_LIST_PROP_VAL

          public static final String[] SUBSCR_LIST_PROP_VAL

      Constant `SUBSCR_LIST_PROP_KEY` is a property value for a key SUBSCR_LIST_PROP_KEY. Please refer to key description for more details. Default value is an empty String array.

    - #### SUBSCR_RESTRICTIONS_PROP_KEY

          public static final String SUBSCR_RESTRICTIONS_PROP_KEY

      Constant `SUBSCR_RESTRICTIONS_PROP_KEY` is a property key for task instance configuration parameters. With this property you can decide who can subscribe to the task. Default value is PUBLIC so anybody can subscribe.
      See Also:
        Constant Field Values

    - #### SUBSCR_RESTRICTIONS_DISPL_NAME

          public static final String SUBSCR_RESTRICTIONS_DISPL_NAME

      See Also:
        Constant Field Values

    - #### SUBSCR_RESTRICTIONS_PROP_VAL

          public static final PropertyConstants.SubscrRestrictions SUBSCR_RESTRICTIONS_PROP_VAL

    - #### ALLOWED_SENDERS_PROP_KEY

          public static final String ALLOWED_SENDERS_PROP_KEY

      See Also:
        Constant Field Values

    - #### ALLOWED_SENDERS_DISPL_NAME

          public static final String ALLOWED_SENDERS_DISPL_NAME

      See Also:
        Constant Field Values

    - #### ALLOWED_SENDERS_PROP_VAL

          public static final PropertyConstants.SenderRestrictions ALLOWED_SENDERS_PROP_VAL

    - #### MESSAGE_TYPE_PROP_KEY

          public static final String MESSAGE_TYPE_PROP_KEY

      See Also:
        Constant Field Values

    - #### MESSAGE_TYPE_DISPL_NAME

          public static final String MESSAGE_TYPE_DISPL_NAME

      See Also:
        Constant Field Values

    - #### MESSAGE_TYPE_PROP_VAL

          public static final PropertyConstants.MessageType MESSAGE_TYPE_PROP_VAL

    - #### SUBSCR_RESTR_REGEX_PROP_KEY

          public static final String SUBSCR_RESTR_REGEX_PROP_KEY

      See Also:
        Constant Field Values

    - #### SUBSCR_RESTR_REGEX_DISPL_NAME

          public static final String SUBSCR_RESTR_REGEX_DISPL_NAME

      See Also:
        Constant Field Values

    - #### SUBSCR_RESTR_REGEX_PROP_VAL

          public static final String SUBSCR_RESTR_REGEX_PROP_VAL

      See Also:
        Constant Field Values

    - #### ONLINE_ONLY_PROP_KEY

          public static final String ONLINE_ONLY_PROP_KEY

      See Also:
        Constant Field Values

    - #### ONLINE_ONLY_DISPL_NAME

          public static final String ONLINE_ONLY_DISPL_NAME

      See Also:
        Constant Field Values

    - #### ONLINE_ONLY_PROP_VAL

          public static final Boolean ONLINE_ONLY_PROP_VAL

    - #### REPLACE_SENDER_PROP_KEY

          public static final String REPLACE_SENDER_PROP_KEY

      See Also:
        Constant Field Values

    - #### REPLACE_SENDER_DISPL_NAME

          public static final String REPLACE_SENDER_DISPL_NAME

      See Also:
        Constant Field Values

    - #### REPLACE_SENDER_PROP_VAL

          public static final PropertyConstants.SenderAddress REPLACE_SENDER_PROP_VAL

    - #### ALLOWED_SENDERS_LIST_PROP_KEY

          public static final String ALLOWED_SENDERS_LIST_PROP_KEY

      See Also:
        Constant Field Values

    - #### ALLOWED_SENDERS_LIST_DISPL_NAME

          public static final String ALLOWED_SENDERS_LIST_DISPL_NAME

      See Also:
        Constant Field Values

    - #### ALLOWED_SENDERS_LIST_PROP_VAL

          public static final String ALLOWED_SENDERS_LIST_PROP_VAL

      See Also:
        Constant Field Values

    - #### DESCRIPTION_PROP_KEY

          public static final String DESCRIPTION_PROP_KEY

      Constant `DESCRIPTION_PROP_KEY` is a description for task instance. Let's say the user want's to create new Interest group for cyclists. This property allows to set some more detailed information about the group like: This is group of ppl interested in mountain cycling near Cambridge.
      See Also:
        Constant Field Values

    - #### DESCRIPTION_DISPL_NAME

          public static final String DESCRIPTION_DISPL_NAME

      See Also:
        Constant Field Values

    - #### DESCRIPTION_PROP_VAL

          public static final String DESCRIPTION_PROP_VAL

      See Also:
        Constant Field Values

    - #### TASK_OWNER_PROP_KEY

          public static final String TASK_OWNER_PROP_KEY

      See Also:
        Constant Field Values

    - #### TASK_OWNER_DISPL_NAME

          public static final String TASK_OWNER_DISPL_NAME

      See Also:
        Constant Field Values

    - #### TASK_OWNER_PROP_VAL

          public static final String TASK_OWNER_PROP_VAL

      See Also:
        Constant Field Values

    - #### TASK_ADMINS_PROP_KEY

          public static final String TASK_ADMINS_PROP_KEY

      See Also:
        Constant Field Values

    - #### TASK_ADMINS_DISPL_NAME

          public static final String TASK_ADMINS_DISPL_NAME

      See Also:
        Constant Field Values

    - #### TASK_ADMINS_PROP_VAL

          public static final String TASK_ADMINS_PROP_VAL

      See Also:
        Constant Field Values

    - #### USER_REPOSITORY_PROP_KEY

          public static final String USER_REPOSITORY_PROP_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PropertyConstants

          public PropertyConstants()

Copyright © 2018 "Tigase, Inc.". All rights reserved.